#! /bin/sh

if [ ! -x ../MinGW_configure.sh ]; then
	exit 1
fi

if [ -z $1 ]; then
	_sh_arch=i686
else
	_sh_arch=$1
fi

optcl="-pipe -O3 -funroll-loops -fforce-addr -fno-optimize-sibling-calls -fomit-frame-pointer -ffast-math -march=$_sh_arch"

shift

../configure\
 --host=i586-mingw32\
 --target=i586-mingw32\
 --with-zlib=zdll\
 --with-libpng=pngdll\
 --with-libuoexp=uoexpdll $@\
 CFLAGS="$optcl"\
 CXXFLAGS="$optcl"\
 CPPFLAGS="-DNDEBUG"

