#ifndef _UOSNESX_H_
#define _UOSNESX_H_

#define STRICT
#include <windows.h>
#include <mmsystem.h>

//input
extern BOOL WinInputInitialize(HWND hWnd, BOOL DIuse);
extern void WinInputDeinitialize();
extern WORD (*GetJoyButtonCode)();
extern WORD (*GetKeyButtonCode)();
extern void (*GetJoybuttonStates)();
extern void (*GetKeybuttonStates)();
extern BOOL (*GetJoyKeybuttonState)(WORD KeyIdent);
extern BOOL (*GetJoyKeybuttonString)(WORD KeyIdent, char *strbuf, int strbuflen);

//sound
extern BOOL WinSetupSound(long rate, BOOL sixteen_bit, BOOL stereo,
						  int SoundBufferSize, int SoundMixInterval,
						  void (*SoundCallback)(void *buff, int len),
						  WAVEFORMATEX *wfx, DWORD *buffersize,
						  HWND hWnd, BOOL DSuse,
						  BOOL SoundGlobalFocus, BOOL DirectSoundNotify);
extern void WinSoundDeinitialize();

//timer
extern void win_init_thread(HWND hWnd);
extern void win_exit_thread();
extern BOOL SetupFrameTimer(DWORD ms,
							void (*FrameTimerProc)(void *tParams),
							void *tParams, HWND hWnd);

#endif /* _UOSNESX_H_ */

