#ifndef _UOWINPUT_H_
#define _UOWINPUT_H_

typedef struct {
	WORD Left;
	WORD Left_Up;
	WORD Left_Down;
	WORD Right;
	WORD Right_Up;
	WORD Right_Down;
	WORD Up;
	WORD Down;
	WORD Start;
	WORD Select;
	WORD A;
	WORD B;
	WORD X;
	WORD Y;
	WORD L;
	WORD R;
	BOOL Turbo_Left;
	BOOL Turbo_Right;
	BOOL Turbo_Up;
	BOOL Turbo_Down;
	BOOL Turbo_Start;
	BOOL Turbo_Select;
	BOOL Turbo_A;
	BOOL Turbo_B;
	BOOL Turbo_X;
	BOOL Turbo_Y;
	BOOL Turbo_L;
	BOOL Turbo_R;
} SJoypad;

extern void MakeTurboStatus();
extern void UosneswJoystickInit();
extern void UosneswReleaseInput();

extern SJoypad JoypadA[5];
extern SJoypad JoypadB[5];
extern DWORD FunctionCodeA[];
extern DWORD FunctionCodeB[];

#define MF_SAVE1 0
#define MF_SAVE2 1
#define MF_SAVE3 2
#define MF_SAVE4 3
#define MF_SAVE5 4
#define MF_LOAD1 5
#define MF_LOAD2 6
#define MF_LOAD3 7
#define MF_LOAD4 8
#define MF_LOAD5 9
#define MF_TURBO 10
#define MF_TURBOPAUSEFWD 11
#define MF_RESET 12
#define MF_SOFTRESET 13
#define MF_SPCDUMP 14
#define MF_SCREENSHOT 15

#define MF_XXX01 16
#define MF_XXX02 17
#define MF_XXX03 18
#define MF_XXX04 19
#define MF_XXX05 20
#define MF_XXX06 21
#define MF_XXX07 22
#define MF_XXX08 23
#define MF_XXX09 24
#define MF_SSTURBO 25
#define MF_SSPAUSE 26

#endif /* _UOWINPUT_H_ */

